# tintor.sml
# Converts TIN object to Raster object.
# set up variables to use for method and flags
numeric methodLinear = 0;
numeric methodQuintic = 1;
numeric method;

numeric flagDefault = 0;
numeric flagCopyGeoref = 1;
numeric flagAutoscale = 2;
numeric flags;

TIN TinIn;
RASTER Rout;

# get the input and output objects
GetInputTIN( TinIn );
GetOutputRaster(Rout);

method = methodQuintic;
flags = flagCopyGeoref + flagAutoscale; # to do both
TINToRaster( TinIn, Rout, method, flags );

# other other optional function calls
# to use default method and flags
# TINToRaster( TinIn, Rout )
# to use default flags but set method 
# TINToRaster( TinIn, Rout, method )

CloseRaster( Rout );



