################################################################
# TransposeMatrix (matrixOut, matrixIn)
################################################################

clear();
class MATRIX h1, h2;

h1 = CreateMatrix(2,2);	# create two matrices
h2 = CreateMatrix(2,2);
# fill the matrix with some values
SetMatrixItem( h1, 0, 0, 1.0 );
SetMatrixItem( h1, 0, 1, 2.0 );
SetMatrixItem( h1, 1, 0, 3.0 );
SetMatrixItem( h1, 1, 1, 4.0 );
# print the resulting matrix
# result should be | 1  2 |
#                  | 3  4 |
printf( "matrix before transpose\n" ) ;
PrintMatrixToConsole( h1 );

# now calculate the transpose of h1
TransposeMatrix( h2, h1 );
# print the inverse matrix
# result should be | 1  3 |
#                  | 2  4 |
printf( "matrix after transpose\n" ) ;
PrintMatrixToConsole( h2 );

# destroy the matrices
DestroyMatrix(h1);
DestroyMatrix(h2);

