# Getting Started: 2D Display, page 19
# SML Script Layers
# for use with EDITRAST / UNLPHOTO.RVC / UNL
# Set Projection System for this script to
#   UTM, Zone 14 in the Coordinates panel.

#DrawSetFillStyle("BnD");
SetColorName("blue");

class RECT rect = ThisLayer.group.ExtentsWithoutMargins;

FillRect(rect.x1, rect.y1, rect.GetWidth(), rect.GetHeight());
#DrawSetFillStyle("");
SetColorName("red");
LineStyleSetRect(rect);
LineStyleSetColor(255,0,0);
LineStyleDrawLine();
inc =  20;
r = 0.75 * inc;
while(LineStyleRoll(inc) != 1) {
	LineStyleDrawArc(0,0,r,r,180,180,0,0,0,0);
   }
inc = inc * 2;
r = r * 2;
SetColorName("blue");
LineStyleSetRect(rect);
while(LineStyleRoll(inc) != 1) {
	LineStyleDrawArc(0,0,r,r,180,180,0,0,0,0);
	}

# Need to set margins to allow for the arcs we drew via CartoScript
ThisLayer.Margin = r;


