# vecexctr.sml
# Returns output Vector object that is the result of the operator applied to the source.
vector Voperator, Vsource;
vector Vout1, Vout2;

GetInputVector( Voperator );
GetInputVector( Vsource );

# get the output vector
GetOutputVector( Vout1 );
# use default flag
Vout1 = VectorExtract( Voperator, Vsource, "PartInside" );

GetOutputVector( Vout2 );
# using optional flag
Vout2 = VectorExtract( Voperator, Vout1, "CompInside", "TableRemoveDupRec" );
